Package org.eclipse.ease.modules.platform.keywords

# Class RegisterView

java.lang.Object
org.eclipse.ease.modules.platform.keywords.RegisterView

All Implemented Interfaces:
  `org.osgi.service.event.EventHandler`

    public class RegisterView
    extends Object
    implements org.osgi.service.event.EventHandler

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RegisterView()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static org.eclipse.e4.ui.model.application.MApplication` | `getApplication()` |
`void` | `handleEvent​(org.osgi.service.event.Event event)` |

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegisterView

public RegisterView()

## Method Details

### getApplication

public static org.eclipse.e4.ui.model.application.MApplication getApplication()

### handleEvent

public void handleEvent​(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`